Skip to main content
POST
/
v1
/
mcp
/
tools
/
list
curl -X POST https://api.mcprank.com/v1/mcp/tools/list \
  -H "X-API-Key: sk_mcp_rank_..." \
  -H "Content-Type: application/json" \
  -d '{"server_id": "ai.exa/exa"}'
{
  "tools": [
    {
      "name": "web_search",
      "description": "Search the web using Exa's neural search engine",
      "inputSchema": {
        "type": "object",
        "properties": {
          "query": {
            "type": "string",
            "description": "The search query"
          },
          "numResults": {
            "type": "integer",
            "description": "Number of results to return",
            "default": 10
          }
        },
        "required": ["query"]
      }
    },
    {
      "name": "find_similar",
      "description": "Find pages similar to a given URL",
      "inputSchema": {
        "type": "object",
        "properties": {
          "url": {
            "type": "string",
            "description": "URL to find similar pages for"
          }
        },
        "required": ["url"]
      }
    }
  ]
}

List Tools

List all tools available on an MCP server. This is a convenience wrapper around the generic /mcp/call endpoint.

Request

curl -X POST https://api.mcprank.com/v1/mcp/tools/list \
  -H "X-API-Key: sk_mcp_rank_..." \
  -H "Content-Type: application/json" \
  -d '{"server_id": "ai.exa/exa"}'

Headers

X-API-Key
string
required
Your MCP Rank API key

Body Parameters

server_id
string
required
The MCP Rank server ID

Response

tools
array
List of available tools
Each tool in the array contains:
FieldTypeDescription
namestringTool identifier
descriptionstringWhat the tool does
inputSchemaobjectJSON Schema for tool arguments
curl -X POST https://api.mcprank.com/v1/mcp/tools/list \
  -H "X-API-Key: sk_mcp_rank_..." \
  -H "Content-Type: application/json" \
  -d '{"server_id": "ai.exa/exa"}'
{
  "tools": [
    {
      "name": "web_search",
      "description": "Search the web using Exa's neural search engine",
      "inputSchema": {
        "type": "object",
        "properties": {
          "query": {
            "type": "string",
            "description": "The search query"
          },
          "numResults": {
            "type": "integer",
            "description": "Number of results to return",
            "default": 10
          }
        },
        "required": ["query"]
      }
    },
    {
      "name": "find_similar",
      "description": "Find pages similar to a given URL",
      "inputSchema": {
        "type": "object",
        "properties": {
          "url": {
            "type": "string",
            "description": "URL to find similar pages for"
          }
        },
        "required": ["url"]
      }
    }
  ]
}

Error Responses

Status CodeDescription
401Missing or invalid API key
404Server not found
410Server is no longer active
429Rate limit exceeded
502MCP server error